SourceFile (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.asrp
Class SourceFile

    java.lang.Object
      com.bbn.openmap.dataAccess.asrp.GeneralASRPFile
          com.bbn.openmap.dataAccess.asrp.SourceFile

    public class SourceFile

extends GeneralASRPFile

Field Summary
`static java.lang.String` | `BOUNDING_POLYGON_COORDINATES`
`static java.lang.String` | `COPYRIGHT`
`static java.lang.String` | `DATA_SET_PARAMETERS`
`static java.lang.String` | `INSET`
`static java.lang.String` | `LEGEND`
`static java.lang.String` | `MAGNETIC_INFORMATION`
`static java.lang.String` | `MAP_PROJECTIONS_COEFFICIENTS_DATA`
`static java.lang.String` | `NORMALIZATION_CONSTANTS`
`static java.lang.String` | `PROJECTION_FIELD`
`static java.lang.String` | `SECURITY_AND_RELEASE`
`static java.lang.String` | `SOURCE`
`static java.lang.String` | `SOURCE_DATUM_COEFFICIENTS_DATA`
`static java.lang.String` | `SOURCE_SUMMARY`
`static java.lang.String` | `SUPPLEMENTARY_TEXT`
`static java.lang.String` | `TILE_INDEX_MAP`

Fields inherited from class com.bbn.openmap.dataAccess.asrp.GeneralASRPFile
`fields, info`

Constructor Summary
`SourceFile(java.lang.String fileName)`

Method Summary
`static void` | `main(java.lang.String[] argv)`

Methods inherited from class com.bbn.openmap.dataAccess.asrp.GeneralASRPFile
`addField, close, dump, dumpFields, getField, getFields, getInfo, load, loadField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOURCE_SUMMARY

    public static final java.lang.String SOURCE_SUMMARY

See Also:
  Constant Field Values

### SOURCE

    public static final java.lang.String SOURCE

See Also:
  Constant Field Values

### MAGNETIC_INFORMATION

    public static final java.lang.String MAGNETIC_INFORMATION

See Also:
  Constant Field Values

### BOUNDING_POLYGON_COORDINATES

    public static final java.lang.String BOUNDING_POLYGON_COORDINATES

See Also:
  Constant Field Values

### PROJECTION_FIELD

    public static final java.lang.String PROJECTION_FIELD

See Also:
  Constant Field Values

### SECURITY_AND_RELEASE

    public static final java.lang.String SECURITY_AND_RELEASE

See Also:
  Constant Field Values

### INSET

    public static final java.lang.String INSET

See Also:
  Constant Field Values

### COPYRIGHT

    public static final java.lang.String COPYRIGHT

See Also:
  Constant Field Values

### LEGEND

    public static final java.lang.String LEGEND

See Also:
  Constant Field Values

### DATA_SET_PARAMETERS

    public static final java.lang.String DATA_SET_PARAMETERS

See Also:
  Constant Field Values

### TILE_INDEX_MAP

    public static final java.lang.String TILE_INDEX_MAP

See Also:
  Constant Field Values

### NORMALIZATION_CONSTANTS

    public static final java.lang.String NORMALIZATION_CONSTANTS

See Also:
  Constant Field Values

### SOURCE_DATUM_COEFFICIENTS_DATA

    public static final java.lang.String SOURCE_DATUM_COEFFICIENTS_DATA

See Also:
  Constant Field Values

### MAP_PROJECTIONS_COEFFICIENTS_DATA

    public static final java.lang.String MAP_PROJECTIONS_COEFFICIENTS_DATA

See Also:
  Constant Field Values

### SUPPLEMENTARY_TEXT

    public static final java.lang.String SUPPLEMENTARY_TEXT

See Also:
  Constant Field Values

Constructor Detail

### SourceFile

    public SourceFile(java.lang.String fileName)
               throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### main

    public static void main(java.lang.String[] argv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details